Skip to content

Refund Commit from Document Refund Quote

Request

Issues the refund based on a previously generated refund quote. Reference the OfferListIdentifiers returned in Document Refun Quote to select the refund you wish to complete.

Security
bearerAuth
Bodyapplication/json

Document Refund request payload.

@typestringrequired

Discriminator. No child classes.

Example:"ReceiptQueryDocumentRefundFromOfferList"
BuildFromOfferListArray of objects, <= 10 items(BuildFromOfferList)

An array of buildfromofferlist to support multiple standalone refunds.

curl -i -X POST \
  https://api.pp.travelport.net/11/air/receipt/receipts/documentrefundfromofferlist \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "@type": "ReceiptQueryDocumentRefundFromOfferList",
    "BuildFromOfferList": [
      {
        "@type": "BuildFromOfferList",
        "OfferListIdentifier": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
        "OfferIdentifier": [
          {
            "id": "offer_1",
            "offerRef": "offer_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          }
        ],
        "ProductIdentifier": [
          {
            "id": "product_1",
            "productRef": "product_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          }
        ],
        "SegmentSequence": 1,
        "WaiverCode": {
          "value": "string",
          "reasonCode": 2,
          "waiverType": "ChangePenalty"
        }
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReceiptListResponseobject(ReceiptListResponse)

The response of an ReceiptList endpoint request.

Response
{ "ReceiptListResponse": { "ReceiptID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }